This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 857057

Summary: [AS7] cannot retrieveBackingContent for Deployment resource in server-group
Product: [Other] RHQ Project Reporter: Libor Zoubek <lzoubek>
Component: Content, PluginsAssignee: RHQ Project Maintainer <rhq-maint>
Status: NEW --- QA Contact: Mike Foley <mfoley>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 4.4CC: hrupp, theute
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Libor Zoubek 2012-09-13 09:32:06 EDT
Description of problem:


Version-Release number of selected component (if applicable):
JON 3.1.1.CR2 + EAP 6.0.GA

How reproducible:always


Steps to Reproduce:
1. start EAP6 in Domain mode
2. create Deployment child for main-server-group resource (upload some WAR)
3. check it's content tab
  
Actual results: content tab is empty. If you attempt to call retrieveBackingContent of deployment resource via CLI you get:

java.lang.RuntimeException: Content not available in the content repository. If you recently deployed content to this resource, then the content repository has not yet received the content or content information. The content for a resource is available only after the deployment and discovery process completes. Please try again in a few minutes.

but .. if you try in a few minutes (30minutes) content is still not available and you get same result


Expected results:you may get above exception because of Bug 830841 but after some time (a few minutes) content must be available.


Additional info:
Comment 1 Heiko W. Rupp 2012-09-25 04:12:46 EDT
Technically the content of a server group lives under DomainDeployment.
For example I have a file 'test-simple.war' deployed to server-group=main-server-group.

The domain wide deployment has the content:

[domain@localhost:9999 /] /deployment=test-simple.war:read-resource
{
    "outcome" => "success",
    "result" => {
        "content" => [{"hash" => bytes {
            0xee, 0x38, 0x29, 0x31, 0x59, 0xb2, 0x9d, 0xfc,
            0x69, 0xaa, 0x9f, 0x14, 0x0e, 0x57, 0x8a, 0x2e,
            0x6b, 0x60, 0x6e, 0xb0
        }}],
        "name" => "test-simple.war",
        "runtime-name" => "test-simple.war"
    }
}

While the server-group only references this:

[domain@localhost:9999 server-group=main-server-group] ./deployment=test-simple.war:read-resource
{
    "outcome" => "success",
    "result" => {
        "enabled" => true,
        "name" => "test-simple.war",
        "runtime-name" => "test-simple.war"
    }
}

Having said that, one can of course implement functionality that for a server group just pulls the bits from the domain deployment and returns that.

My concern here is (and I may just misunderstand things): if the RHQ-server pulls this into its database, and we have a 10 MB war file and it is deployed to 5 server-groups, will we have 50MB of blobs in the database?

The same concern applies for the actual managed servers of a server group. If the server-group has 10 servers, will we then end up with 10*10MB of identical blobs in the database?